org.modeshape.common

## Class CommonI18n

- java.lang.Object
- - org.modeshape.common.CommonI18n

-     public final class CommonI18n
      extends Object

  The internationalized string constants for the `org.modeshape.common*` packages.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static I18n` | `argumentDidNotContainKey`
    `static I18n` | `argumentDidNotContainObject`
    `static I18n` | `argumentMayNotBeEmpty`
    `static I18n` | `argumentMayNotBeGreaterThan`
    `static I18n` | `argumentMayNotBeLessThan`
    `static I18n` | `argumentMayNotBeNegative`
    `static I18n` | `argumentMayNotBeNull`
    `static I18n` | `argumentMayNotBeNullOrZeroLength`
    `static I18n` | `argumentMayNotBeNullOrZeroLengthOrEmpty`
    `static I18n` | `argumentMayNotBePositive`
    `static I18n` | `argumentMayNotContainNullValue`
    `static I18n` | `argumentMustBeEmpty`
    `static I18n` | `argumentMustBeEquals`
    `static I18n` | `argumentMustBeGreaterThan`
    `static I18n` | `argumentMustBeGreaterThanOrEqualTo`
    `static I18n` | `argumentMustBeInstanceOf`
    `static I18n` | `argumentMustBeLessThan`
    `static I18n` | `argumentMustBeLessThanOrEqualTo`
    `static I18n` | `argumentMustBeNegative`
    `static I18n` | `argumentMustBeNull`
    `static I18n` | `argumentMustBeNumber`
    `static I18n` | `argumentMustBeOfMaximumSize`
    `static I18n` | `argumentMustBeOfMinimumSize`
    `static I18n` | `argumentMustBePositive`
    `static I18n` | `argumentMustBePowerOfTwo`
    `static I18n` | `argumentMustBeSameAs`
    `static I18n` | `argumentMustNotBeEquals`
    `static I18n` | `argumentMustNotBeSameAs`
    `static I18n` | `componentClassnameNotValid`
    `static I18n` | `componentConfigClassnamePropertyCategory`
    `static I18n` | `componentConfigClassnamePropertyDescription`
    `static I18n` | `componentConfigClassnamePropertyLabel`
    `static I18n` | `componentConfigClasspathPropertyCategory`
    `static I18n` | `componentConfigClasspathPropertyDescription`
    `static I18n` | `componentConfigClasspathPropertyLabel`
    `static I18n` | `componentConfigDescriptionPropertyCategory`
    `static I18n` | `componentConfigDescriptionPropertyDescription`
    `static I18n` | `componentConfigDescriptionPropertyLabel`
    `static I18n` | `componentConfigNamePropertyCategory`
    `static I18n` | `componentConfigNamePropertyDescription`
    `static I18n` | `componentConfigNamePropertyLabel`
    `static I18n` | `componentNotConfigured`
    `static I18n` | `customLoggingAvailable`
    `static I18n` | `dateParsingFailure`
    `static I18n` | `endPositionMustBeGreaterThanStartingPosition`
    `static I18n` | `errorClosingWrappedStream`
    `static I18n` | `errorInitializingCustomLoggerFactory`
    `static I18n` | `errorWhileClosingRingBufferConsumer`
    `static I18n` | `expectingValidBooleanAtLineAndColumn`
    `static I18n` | `expectingValidIntegerAtLineAndColumn`
    `static I18n` | `expectingValidLongAtLineAndColumn`
    `static I18n` | `i18nBundleNotFoundInClasspath`
    `static I18n` | `i18nClassInterface`
    `static I18n` | `i18nClassNotPublic`
    `static I18n` | `i18nFieldFinal`
    `static I18n` | `i18nFieldInvalidType`
    `static I18n` | `i18nFieldNotPublic`
    `static I18n` | `i18nFieldNotStatic`
    `static I18n` | `i18nLocalizationFileNotFound`
    `static I18n` | `i18nLocalizationProblems`
    `static I18n` | `i18nPropertyDuplicate`
    `static I18n` | `i18nPropertyMissing`
    `static I18n` | `i18nPropertyUnused`
    `static I18n` | `i18nRequiredToSuppliedParameterMismatch`
    `static I18n` | `initialActivityMonitorTaskName`
    `static I18n` | `jdkFallback`
    `static I18n` | `log4jAvailable`
    `static I18n` | `noMatchingDoubleQuoteFound`
    `static I18n` | `noMatchingSingleQuoteFound`
    `static I18n` | `noMoreContent`
    `static I18n` | `noMoreContentButWasExpectingCharacter`
    `static I18n` | `noMoreContentButWasExpectingToken`
    `static I18n` | `noMoreContentButWasExpectingTokenType`
    `static I18n` | `nullActivityMonitorTaskName`
    `static I18n` | `pathAncestorDegreeIsInvalid`
    `static I18n` | `pathCannotBeNormalized`
    `static I18n` | `pathIsAlreadyAbsolute`
    `static I18n` | `pathIsNotAbsolute`
    `static I18n` | `pathIsNotRelative`
    `static I18n` | `requiredToSuppliedParameterMismatch`
    `static I18n` | `slf4jAvailable`
    `static I18n` | `startMethodMustBeCalledBeforeConsumingOrMatching`
    `static I18n` | `startMethodMustBeCalledBeforeNext`
    `static I18n` | `unableToAccessResourceFileFromClassLoader`
    `static I18n` | `unexpectedCharacter`
    `static I18n` | `unexpectedToken`
    `static I18n` | `unexpectedTokenType`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### i18nClassInterface

          public static I18n i18nClassInterface

    - #### i18nClassNotPublic

          public static I18n i18nClassNotPublic

    - #### i18nFieldFinal

          public static I18n i18nFieldFinal

    - #### i18nFieldInvalidType

          public static I18n i18nFieldInvalidType

    - #### i18nFieldNotPublic

          public static I18n i18nFieldNotPublic

    - #### i18nFieldNotStatic

          public static I18n i18nFieldNotStatic

    - #### i18nLocalizationFileNotFound

          public static I18n i18nLocalizationFileNotFound

    - #### i18nLocalizationProblems

          public static I18n i18nLocalizationProblems

    - #### i18nPropertyDuplicate

          public static I18n i18nPropertyDuplicate

    - #### i18nPropertyMissing

          public static I18n i18nPropertyMissing

    - #### i18nPropertyUnused

          public static I18n i18nPropertyUnused

    - #### i18nRequiredToSuppliedParameterMismatch

          public static I18n i18nRequiredToSuppliedParameterMismatch

    - #### i18nBundleNotFoundInClasspath

          public static I18n i18nBundleNotFoundInClasspath

    - #### argumentDidNotContainKey

          public static I18n argumentDidNotContainKey

    - #### argumentDidNotContainObject

          public static I18n argumentDidNotContainObject

    - #### argumentMayNotBeEmpty

          public static I18n argumentMayNotBeEmpty

    - #### argumentMayNotBeGreaterThan

          public static I18n argumentMayNotBeGreaterThan

    - #### argumentMayNotBeLessThan

          public static I18n argumentMayNotBeLessThan

    - #### argumentMayNotBeNegative

          public static I18n argumentMayNotBeNegative

    - #### argumentMayNotBeNull

          public static I18n argumentMayNotBeNull

    - #### argumentMayNotBeNullOrZeroLength

          public static I18n argumentMayNotBeNullOrZeroLength

    - #### argumentMayNotBeNullOrZeroLengthOrEmpty

          public static I18n argumentMayNotBeNullOrZeroLengthOrEmpty

    - #### argumentMayNotBePositive

          public static I18n argumentMayNotBePositive

    - #### argumentMayNotContainNullValue

          public static I18n argumentMayNotContainNullValue

    - #### argumentMustBeEmpty

          public static I18n argumentMustBeEmpty

    - #### argumentMustBeEquals

          public static I18n argumentMustBeEquals

    - #### argumentMustBeGreaterThan

          public static I18n argumentMustBeGreaterThan

    - #### argumentMustBeGreaterThanOrEqualTo

          public static I18n argumentMustBeGreaterThanOrEqualTo

    - #### argumentMustBeInstanceOf

          public static I18n argumentMustBeInstanceOf

    - #### argumentMustBeLessThan

          public static I18n argumentMustBeLessThan

    - #### argumentMustBeLessThanOrEqualTo

          public static I18n argumentMustBeLessThanOrEqualTo

    - #### argumentMustBeNegative

          public static I18n argumentMustBeNegative

    - #### argumentMustBeNull

          public static I18n argumentMustBeNull

    - #### argumentMustBeNumber

          public static I18n argumentMustBeNumber

    - #### argumentMustBeOfMaximumSize

          public static I18n argumentMustBeOfMaximumSize

    - #### argumentMustBeOfMinimumSize

          public static I18n argumentMustBeOfMinimumSize

    - #### argumentMustBePositive

          public static I18n argumentMustBePositive

    - #### argumentMustBePowerOfTwo

          public static I18n argumentMustBePowerOfTwo

    - #### argumentMustBeSameAs

          public static I18n argumentMustBeSameAs

    - #### argumentMustNotBeEquals

          public static I18n argumentMustNotBeEquals

    - #### argumentMustNotBeSameAs

          public static I18n argumentMustNotBeSameAs

    - #### componentClassnameNotValid

          public static I18n componentClassnameNotValid

    - #### componentNotConfigured

          public static I18n componentNotConfigured

    - #### dateParsingFailure

          public static I18n dateParsingFailure

    - #### initialActivityMonitorTaskName

          public static I18n initialActivityMonitorTaskName

    - #### nullActivityMonitorTaskName

          public static I18n nullActivityMonitorTaskName

    - #### pathAncestorDegreeIsInvalid

          public static I18n pathAncestorDegreeIsInvalid

    - #### pathCannotBeNormalized

          public static I18n pathCannotBeNormalized

    - #### pathIsAlreadyAbsolute

          public static I18n pathIsAlreadyAbsolute

    - #### pathIsNotAbsolute

          public static I18n pathIsNotAbsolute

    - #### pathIsNotRelative

          public static I18n pathIsNotRelative

    - #### requiredToSuppliedParameterMismatch

          public static I18n requiredToSuppliedParameterMismatch

    - #### unableToAccessResourceFileFromClassLoader

          public static I18n unableToAccessResourceFileFromClassLoader

    - #### noMoreContent

          public static I18n noMoreContent

    - #### noMoreContentButWasExpectingToken

          public static I18n noMoreContentButWasExpectingToken

    - #### unexpectedToken

          public static I18n unexpectedToken

    - #### noMoreContentButWasExpectingCharacter

          public static I18n noMoreContentButWasExpectingCharacter

    - #### unexpectedCharacter

          public static I18n unexpectedCharacter

    - #### noMoreContentButWasExpectingTokenType

          public static I18n noMoreContentButWasExpectingTokenType

    - #### unexpectedTokenType

          public static I18n unexpectedTokenType

    - #### startMethodMustBeCalledBeforeNext

          public static I18n startMethodMustBeCalledBeforeNext

    - #### startMethodMustBeCalledBeforeConsumingOrMatching

          public static I18n startMethodMustBeCalledBeforeConsumingOrMatching

    - #### noMatchingDoubleQuoteFound

          public static I18n noMatchingDoubleQuoteFound

    - #### noMatchingSingleQuoteFound

          public static I18n noMatchingSingleQuoteFound

    - #### expectingValidIntegerAtLineAndColumn

          public static I18n expectingValidIntegerAtLineAndColumn

    - #### expectingValidLongAtLineAndColumn

          public static I18n expectingValidLongAtLineAndColumn

    - #### expectingValidBooleanAtLineAndColumn

          public static I18n expectingValidBooleanAtLineAndColumn

    - #### endPositionMustBeGreaterThanStartingPosition

          public static I18n endPositionMustBeGreaterThanStartingPosition

    - #### componentConfigNamePropertyDescription

          public static I18n componentConfigNamePropertyDescription

    - #### componentConfigNamePropertyLabel

          public static I18n componentConfigNamePropertyLabel

    - #### componentConfigNamePropertyCategory

          public static I18n componentConfigNamePropertyCategory

    - #### componentConfigDescriptionPropertyDescription

          public static I18n componentConfigDescriptionPropertyDescription

    - #### componentConfigDescriptionPropertyLabel

          public static I18n componentConfigDescriptionPropertyLabel

    - #### componentConfigDescriptionPropertyCategory

          public static I18n componentConfigDescriptionPropertyCategory

    - #### componentConfigClassnamePropertyDescription

          public static I18n componentConfigClassnamePropertyDescription

    - #### componentConfigClassnamePropertyLabel

          public static I18n componentConfigClassnamePropertyLabel

    - #### componentConfigClassnamePropertyCategory

          public static I18n componentConfigClassnamePropertyCategory

    - #### componentConfigClasspathPropertyDescription

          public static I18n componentConfigClasspathPropertyDescription

    - #### componentConfigClasspathPropertyLabel

          public static I18n componentConfigClasspathPropertyLabel

    - #### componentConfigClasspathPropertyCategory

          public static I18n componentConfigClasspathPropertyCategory

    - #### errorInitializingCustomLoggerFactory

          public static I18n errorInitializingCustomLoggerFactory

    - #### customLoggingAvailable

          public static I18n customLoggingAvailable

    - #### slf4jAvailable

          public static I18n slf4jAvailable

    - #### log4jAvailable

          public static I18n log4jAvailable

    - #### jdkFallback

          public static I18n jdkFallback

    - #### errorWhileClosingRingBufferConsumer

          public static I18n errorWhileClosingRingBufferConsumer

    - #### errorClosingWrappedStream

          public static I18n errorClosingWrappedStream

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.